aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-agl-run-test-prepare.sh
diff options
context:
space:
mode:
authorCorentin LABBE <clabbe@baylibre.com>2021-01-20 13:06:04 +0000
committerCorentin LABBE <clabbe@baylibre.com>2021-01-20 13:08:58 +0000
commit99abcb9d24e522a0cf5dcd4f4f2d190bd1023a42 (patch)
treeda7f39060ff9e172eec28144a3b691ec49a5fe48 /jjb/common/include-agl-run-test-prepare.sh
parent0d6b877ff6e17d7d945fdd28adb95064fcbc8800 (diff)
SPEC-3714: Add a dedicated entry for r8a7795-agl-refhw
r8a7795-agl-refhw is booted by an extra CIBT jenkins, so let's add a dedicated MACHINE case for it. Also, the h3ulcb-kf is moved at the end of gen_info since it is main device which need to be booted by MACHINE=h3ulcb-nogfx Bug-AGL: SPEC-3714 Change-Id: Iaa141521015734ca818ff1e319deed1eea6bfed3 Signed-off-by: Corentin LABBE <clabbe@baylibre.com>
Diffstat (limited to 'jjb/common/include-agl-run-test-prepare.sh')
-rw-r--r--jjb/common/include-agl-run-test-prepare.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/jjb/common/include-agl-run-test-prepare.sh b/jjb/common/include-agl-run-test-prepare.sh
index 539bf45b..4ab5fd08 100644
--- a/jjb/common/include-agl-run-test-prepare.sh
+++ b/jjb/common/include-agl-run-test-prepare.sh
@@ -79,6 +79,7 @@ qemux86-64)
lava_device=upsquare
releng_device=upsquare
gen_info || exit 0
+ # qemu-x86-64 must be the latest
lava_device=qemu
releng_device=qemux86-64
gen_info || exit 0
@@ -99,14 +100,20 @@ qemuarm64)
gen_info || exit 0
;;
h3ulcb-nogfx)
+ if test x"master" = x"${TARGETBRANCH}" ; then
+ lava_device=r8a7795-agl-refhw
+ releng_device=r8a7795-agl-refhw
+ gen_info || exit 0
+ fi
+ # h3ulcf-kf must be the latest
lava_device=r8a7795-h3ulcb-kf
releng_device=h3ulcb-kf
gen_info || exit 0
- if test x"master" = x"${TARGETBRANCH}" ; then
+;;
+r8a7795-agl-refhw)
lava_device=r8a7795-agl-refhw
releng_device=r8a7795-agl-refhw
gen_info || exit 0
- fi
;;
upsquare)
lava_device=upsquare